Bug 212387 - Real's Rhapsody player plugin need execmod permissions
Summary: Real's Rhapsody player plugin need execmod permissions
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-26 16:28 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 15:17:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2006-10-26 16:28:19 UTC
Description of problem:

Oct 26 10:24:46 cynosure kernel: audit(1161879886.283:564): avc:  denied  {
execmod } for  pid=28545 comm="firefox-bin" name="nprhapengine.so" dev=hda3
ino=6410537 scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:object_r:user_home_t:s0 tclass=file

Version-Release number of selected component (if applicable):
selinux-policy-2.3.7-2.fc5

Comment 1 Daniel Walsh 2006-11-17 18:57:19 UTC
What is the path to this file?

Comment 2 Orion Poplawski 2006-11-17 19:12:34 UTC
In my case ~/.mozilla/plugins/nprhapengine.so

Comment 3 Daniel Walsh 2007-02-14 15:17:39 UTC
All of these bugs should be fixed in FC6,  You could attempt to use the FC6
policy on FC5 or upgrade.  Or you could use 

audit2allow -M mypolicy -i /var/log/audit/audit.log 
and build local customized policy


Note You need to log in before you can comment on or make changes to this bug.